Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ServiceBindingBranchType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ServiceBindingBranchTypeImpl

    public interface ServiceBindingBranchType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Binding Branch Type'.

The following features are supported:

- `Service Binding Filter`
- `Specification Link Branch`
- `Service Binding Target Branch`

See Also:
  `QueryPackage.getServiceBindingBranchType()`

Method Summary
`FilterType` | `getServiceBindingFilter()` Returns the value of the 'Service Binding Filter' containment reference.
`ServiceBindingBranchType` | `getServiceBindingTargetBranch()` Returns the value of the 'Service Binding Target Branch' containment reference.
`org.eclipse.emf.common.util.EList` | `getSpecificationLinkBranch()` Returns the value of the 'Specification Link Branch' containment reference list.
`void` | `setServiceBindingFilter(FilterType value)` Sets the value of the '`Service Binding Filter`' containment reference.
`void` | `setServiceBindingTargetBranch(ServiceBindingBranchType value)` Sets the value of the '`Service Binding Target Branch`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getServiceBindingFilter

    FilterType getServiceBindingFilter()

  Returns the value of the 'Service Binding Filter' containment reference.

  If the meaning of the 'Service Binding Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Filter' containment reference.
  See Also:
    `setServiceBindingFilter(FilterType)`, `QueryPackage.getServiceBindingBranchType_ServiceBindingFilter()`

### setServiceBindingFilter

    void setServiceBindingFilter(FilterType value)

  Sets the value of the '`Service Binding Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Filter' containment reference.
  See Also:
    `getServiceBindingFilter()`

### getSpecificationLinkBranch

    org.eclipse.emf.common.util.EList getSpecificationLinkBranch()

  Returns the value of the 'Specification Link Branch' containment reference list. The list contents are of type `SpecificationLinkBranchType`.

  If the meaning of the 'Specification Link Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Branch' containment reference list.
  See Also:
    `QueryPackage.getServiceBindingBranchType_SpecificationLinkBranch()`

### getServiceBindingTargetBranch

    ServiceBindingBranchType getServiceBindingTargetBranch()

  Returns the value of the 'Service Binding Target Branch' containment reference.

  If the meaning of the 'Service Binding Target Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `setServiceBindingTargetBranch(ServiceBindingBranchType)`, `QueryPackage.getServiceBindingBranchType_ServiceBindingTargetBranch()`

### setServiceBindingTargetBranch

    void setServiceBindingTargetBranch(ServiceBindingBranchType value)

  Sets the value of the '`Service Binding Target Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `getServiceBindingTargetBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD